Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class MarkupType

    java.lang.Object
      org.jboss.portal.wsrp.core.MarkupType

All Implemented Interfaces:
  java.io.Serializable

    public class MarkupType

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String[]` | `locales`
`protected java.lang.String` | `mimeType`
`protected java.lang.String[]` | `modes`
`protected java.lang.String[]` | `windowStates`

Constructor Summary
`MarkupType()`
`MarkupType(java.lang.String mimeType, java.lang.String[] modes, java.lang.String[] windowStates, java.lang.String[] locales, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String[]` | `getLocales()`
`java.lang.String` | `getMimeType()`
`java.lang.String[]` | `getModes()`
`java.lang.String[]` | `getWindowStates()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setLocales(java.lang.String[] locales)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setModes(java.lang.String[] modes)`
`void` | `setWindowStates(java.lang.String[] windowStates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mimeType

    protected java.lang.String mimeType

### modes

    protected java.lang.String[] modes

### windowStates

    protected java.lang.String[] windowStates

### locales

    protected java.lang.String[] locales

### extensions

    protected Extension[] extensions

Constructor Detail

### MarkupType

    public MarkupType()

### MarkupType

    public MarkupType(java.lang.String mimeType,
                      java.lang.String[] modes,
                      java.lang.String[] windowStates,
                      java.lang.String[] locales,
                      Extension[] extensions)

Method Detail

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getModes

    public java.lang.String[] getModes()

### setModes

    public void setModes(java.lang.String[] modes)

### getWindowStates

    public java.lang.String[] getWindowStates()

### setWindowStates

    public void setWindowStates(java.lang.String[] windowStates)

### getLocales

    public java.lang.String[] getLocales()

### setLocales

    public void setLocales(java.lang.String[] locales)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD